## octave-symbolic 1.0.6

=== DESCRIPTION ===
Name: Symbolic
Version: 1.0.6
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Symbolic Computations.
Description: Symbolic toolbox based on GiNaC and CLN.
BuildRequires: ginac-devel
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
