## octave-symbolic 1.1.0

=== DESCRIPTION ===
Name: Symbolic
Version: 1.1.0
Date: 2011-10-18
Author: Various Authors
Maintainer: The Octave Community
Title: Symbolic Computations.
Description: Symbolic toolbox based on GiNaC and CLN.
BuildRequires: ginac-devel
Depends: octave (>= 3.1.55)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
