=== debian/changelog ===
octave-symbolic (1.1.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove Thomas Weber from Uploaders.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/copyright: Ensure that all files have copyright information
  * Add myself to Uploaders

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 03:52:54 -0300

octave-symbolic (1.1.0-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Use my @debian.org email address

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Bump to Standards-Version 3.9.4, no changes needed
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * Add patches taken from upstream:
    + proper-cell-array-reversal.patch
    + store-symbolic-expressions.patch
    + fix-tests-blocks.patch
    + sumterms-return-cell-vector.patch
    + avoid-ex-type-in-assert.patch

 -- Thomas Weber <tweber@debian.org>  Tue, 02 Jul 2013 23:19:49 +0200

octave-symbolic (1.1.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/register_symbols: Drop patch (applied upstream)
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0
  * debian/patches/cell-as-retval-in-findsymbols.patch: Add patch

 -- Thomas Weber <tweber@debian.org>  Fri, 16 Mar 2012 18:05:37 +0100

octave-symbolic (1.0.9-2) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571870)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * New patch: register_symbols, ensure that symbols from the package are
    registered. Patch taken from upstream SVN (closes: #607071) 

 -- Thomas Weber <tweber@debian.org>  Thu, 06 Jan 2011 22:51:58 +0100

octave-symbolic (1.0.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release.
  * Use octave-symbolic.docs for installation of documentation, following the
    change in octave-pkg-dev 0.7.1.
  * Dropped patches (applied upstream):
    + symfsolve-tests.diff
    + use-cell-instead-of-list.diff

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:40:39 +0100

octave-symbolic (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/patches/symfsolve-tests.diff: Add tests to function symfsolve
  * debian/patches/use-cell-instead-of-list.diff: Use cell() instead of the
    deprecated list()
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/rules: Include patchsys-quilt.mk
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:51:56 +0200

octave-symbolic (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable (closes: #516942).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 06 Apr 2009 23:30:53 +0200

octave-symbolic (1.0.7-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 17:59:16 +0000

octave-symbolic (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Thomas Weber ]
  * Add pkg-config to build-dependencies.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 17 May 2008 10:56:39 +0200

octave-symbolic (1.0.5-2) unstable; urgency=low

  * debian/control: bump dependency on octave-pkg-dev to 0.5.6, in order to
    get pkg-config  (closes: #477736).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 28 Apr 2008 17:35:09 +0200

octave-symbolic (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468529)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 15:03:04 +0100
