=== debian/control ===
Source: octave-symbolic
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
 libginac-dev, pkg-config
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/symbolic
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-symbolic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-symbolic.git

Package: octave-symbolic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: symbolic package for Octave
 This package provides a symbolic package for octave based on GiNaC
 and CLN.
 .
 It contains geometric functions, can plot symbolic functions and solve systems
 of symbolic equations.
 .
 This Octave add-on package is part of the Octave-Forge project.
