=== debian/watch ===
version=3
http://sf.net/octave/symbolic-(.+)\.tar\.gz
