## octave-symbolic 2.2.2

=== debian/changelog ===
octave-symbolic (2.2.2-1build2) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Aug 2015 12:33:03 +0000

octave-symbolic (2.2.2-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Aug 2015 20:36:01 +0200

octave-symbolic (2.2.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.2.2
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 21:45:26 +0200

octave-symbolic (2.1.0-1) experimental; urgency=low

  * Imported Upstream version 2.1.0
  * d/octave-symbolic.docs: New file (install upstream README.md)
  * Exclude ezplot and ezplot3 from the list of automatic unit testing
    (Closes: #778745)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 22 Mar 2015 08:30:34 -0300

octave-symbolic (2.0.0-1) experimental; urgency=low

  * Imported Upstream version 2.0.0
  * Remove obsolete patches:
    + d/p/avoid-ex-type-in-assert.patch
    + d/p/cell-as-retval-in-findsymbols.patch
    + d/p/fix-symfsolve-test.patch
    + d/p/fix-tests-blocks.patch
    + d/p/proper-cell-array-reversal.patch
    + d/p/store-symbolic-expressions.patch
    + d/p/sumterms-return-cell-vector.patch
  * Build-depend and depend on python-sympy
  * Prevent automatic running of tests in file sympref.m.
    For that to work, Build-Dependency on octave-pkg-dev is set to
    >= 1.2.0.
  * Drop obsolete file d/octave-symbolic.docs

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 15 Feb 2015 20:01:15 -0200
