=== debian/control ===
Source: octave-symbolic
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.2.0),
 python-sympy
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/symbolic
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-symbolic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-symbolic.git

Package: octave-symbolic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
 python-sympy
Description: symbolic package for Octave
 This package include common Computer Algebra System tools such as
 algebraic operations, calculus, equation solving, Fourier and Laplace
 transforms, variable precision arithmetic, among other features.
 Internally, the package uses SymPy (www.sympy.org), but no knowledge
 of Python is required.  Compatibility with other symbolic toolboxes
 is intended.
 .
 This Octave add-on package is part of the Octave-Forge project.
