=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

OCTPKG_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m
