## octave-symbolic 2.2.4

=== DESCRIPTION ===
Name: symbolic
Version: 2.2.4
Date: 2015-12-14
Author: Colin B. Macdonald <cbm@m.fsf.org>
Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
Title: Octave Symbolic Package using SymPy
Description: The Octave-Forge Symbolic package adds symbolic calculation
 features to GNU Octave.  These include common Computer Algebra System tools
 such as algebraic operations, calculus, equation solving, Fourier and Laplace
 transforms, variable precision arithmetic and other features.  Internally,
 the package uses [SymPy](www.sympy.org), but no knowledge of Python is
 required.  Compatibility with other symbolic toolboxes is intended.
Categories: symbolic
Url: http://github.com/cbm755/octsympy
SystemRequirements: python, sympy (>= 0.7.5)
BuildRequires: python, sympy (>= 0.7.5)
