=== debian/changelog ===
octave-symbolic (2.2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.2.4

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 21 Dec 2015 22:39:03 +0100

octave-symbolic (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 01 Dec 2015 13:52:57 +0100

octave-symbolic (2.2.2-2) unstable; urgency=medium

  * d/rules: Remove the extraneous Windows batch script

 -- Rafael Laboissiere <rafael@laboissiere.net>  Fri, 23 Oct 2015 22:23:05 +0200
