=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 include /usr/share/cdbs/1/class/octave-pkg.mk
 
 OCTPKG_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m
+
+install/octave-symbolic::
+	# Remove the extraneous Windows batch script
+	rm -rf $$(find debian/octave-symbolic -name bin)
