=== src/Makefile ===
--- 
+++ 
@@ -24,31 +24,32 @@
 
 ml_extract_tests: ml_copy
 	mkdir -p ../matlab/tests_matlab/
-	cp -ra ../extract_tests_for_matlab.m ../matlab/
-	cp -ra ../octsympy_tests_matlab.m ../matlab/
+	cp -pR ../misc/octassert.m ../matlab/tests_matlab/
+	cp -pR ../misc/extract_tests_for_matlab.m ../matlab/
+	cp -pR ../misc/octsympy_tests_matlab.m ../matlab/
 	cd ../matlab/; ${OCTAVE} -q --eval "extract_tests_for_matlab"
 	rm -f ../matlab/extract_tests_for_matlab.m
 
 ml_copy: ml_convert
-	cp -ra ../inst/private ../matlab/
-	mv ../matlab/private/my_print_usage.m ../matlab/private/print_usage.m
-	cp -ra ../inst/@sym/private ../matlab/@sym/
-	cp -ra ../inst/@symfun/private ../matlab/@symfun/
-	cp -ra ../matlab/private/print_usage.m ../matlab/@sym/private/
-	cp -ra ../matlab/private/print_usage.m ../matlab/@symfun/private/
-	cp -af ../CONTRIBUTORS ../matlab/
-	cp -af ../NEWS ../matlab/
-	cp -af ../COPYING ../matlab/
-	cp -af ../matlab_smt_differences.md ../matlab/
-	cp -af ../README.md ../matlab/
-	cp -af ../README.matlab.md ../matlab/
+	cp -pR ../inst/private ../matlab/
+	cp -pR ../inst/@sym/private ../matlab/@sym/
+	cp -pR ../inst/@symfun/private ../matlab/@symfun/
+	cp -pR ../misc/my_print_usage.m ../matlab/private/print_usage.m
+	cp -pR ../misc/my_print_usage.m ../matlab/@sym/private/print_usage.m
+	cp -pR ../misc/my_print_usage.m ../matlab/@symfun/private/print_usage.m
+	cp -fp ../CONTRIBUTORS ../matlab/
+	cp -fp ../NEWS ../matlab/
+	cp -fp ../COPYING ../matlab/
+	cp -fp ../matlab_smt_differences.md ../matlab/
+	cp -fp ../README.md ../matlab/
+	cp -fp ../README.matlab.md ../matlab/
 	rm -f ../matlab/octsympy_tests.m
 
 ml_convert:
 	mkdir -p ../matlab/@sym/
 	mkdir -p ../matlab/@symfun/
 	mkdir -p ../matlab/@logical/
-	cp -ra ../convert_comments.m ../matlab/
+	cp -pR ../misc/convert_comments.m ../matlab/
 	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '',         '../matlab/')"
 	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '@symfun',  '../matlab/')"
 	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '@sym',     '../matlab/')"
