=== debian/changelog ===
octave-symbolic (2.4.0-2) unstable; urgency=medium

  * d/control: Ensure proper paragraph breaks in Description.
    For this to work, build-depends on octave-pkg-dev >= 1.4.2.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Jun 2016 13:31:45 -0300

octave-symbolic (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * d/copyright: Reflect upstream changes
  * d/control: Insert upstream long description, via octave:Upstream-Description.
    Build-Depends on octave-pkg-dev >= 1.4.1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 25 Jun 2016 21:32:14 -0300

octave-symbolic (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Mark the package as architecture all
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 14 May 2016 21:09:56 +0200
