=== debian/control ===
Source: octave-symbolic
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.4.2),
 python-sympy
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/symbolic
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-symbolic.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-symbolic.git

Package: octave-symbolic
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, python-sympy
Description: symbolic package for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
