=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 install/octave-symbolic::
 	# Remove the extraneous Windows batch script
 	rm -rf $$(find debian/octave-symbolic -name bin)
+
+clean::
+	rm -f src/config.log
