## octave-symbolic 2.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 2.4.0
-Date: 2016-05-24
+Version: 2.6.0
+Date: 2017-07-27
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -12,6 +12,6 @@
  required.  Compatibility with other symbolic toolboxes is intended.
 Categories: symbolic
 Url: http://github.com/cbm755/octsympy
-Depends: octave (>= 3.8)
-SystemRequirements: python, sympy (>= 0.7.6)
+Depends: octave (>= 4.0.0)
+SystemRequirements: python, sympy (>= 1.0)
 License: GPL-3.0+
