=== debian/changelog ===
octave-symbolic (2.6.0-3build1) bionic; urgency=medium

  * No-change upload.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Apr 2018 15:12:44 +0200

octave-symbolic (2.6.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:38 -0200

octave-symbolic (2.6.0-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:59 -0200

octave-symbolic (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * d/copyright: reflect upstream changes.
  * d/control: bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Aug 2017 15:14:38 +0200

octave-symbolic (2.5.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Upload to unstable.
  * d/copyright:
    + Use secure URL for format.
    + Use Source field instead of deprecated Upstream-Source.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2017 14:56:53 +0200

octave-symbolic (2.5.0-1) experimental; urgency=medium

  * New upstream version 2.5.0
  * d/copyright: Reflect upstream changes
  * d/control: Bump dependency on sympy to >= 1.0

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 07 Feb 2017 19:12:42 -0200
