=== debian/control ===
Source: octave-symbolic
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave,
               python-sympy (>= 1.0)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
Homepage: http://octave.sourceforge.net/symbolic
Testsuite: autopkgtest-pkg-octave

Package: octave-symbolic
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends},
         python-sympy
Description: symbolic package for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
