=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OCTAVE_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_auto_install:
	dh_auto_install
	# Remove the extraneous Windows batch script
	rm -rf $$(find debian/octave-symbolic -name bin)
