## octave-symbolic 2.7.0

=== debian/changelog ===
octave-symbolic (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * Bump to S-V 4.2.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Aug 2018 12:25:30 +0200

octave-symbolic (2.7.0~git.2018.07.13-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.7.0~git.2018.07.13
    This version works with sympy/1.2-1 (closes: #903823).
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.1.5

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Jul 2018 17:15:19 -0300

octave-symbolic (2.6.0-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * Move definition of DH_OCTAVE_EXCLUDE_TEST into d/checkvars.
    For that, bump the build-dependency on dh-octave to >= 0.5.0.  This
    should fix the autopkgtest failure at the Debian CI infrastructure.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 May 2018 14:17:34 -0300
