=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               dh-octave,
+               dh-octave (>= 0.5.0),
                python-sympy (>= 1.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
-Homepage: http://octave.sourceforge.net/symbolic
+Homepage: https://octave.sourceforge.io/symbolic/
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-symbolic
 Architecture: all
