## octave-symbolic 2.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 2.6.0
-Date: 2017-07-27
+Version: 2.7.1
+Date: 2018-10-02
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -12,6 +12,6 @@
  required.  Compatibility with other symbolic toolboxes is intended.
 Categories: symbolic
 Url: http://github.com/cbm755/octsympy
-Depends: octave (>= 4.0.0)
+Depends: octave (>= 4.0)
 SystemRequirements: python, sympy (>= 1.0)
 License: GPL-3.0+
