=== Makefile ===
--- 
+++ 
@@ -64,7 +64,6 @@
 	git archive --format=tar --prefix="$@/" HEAD | tar -x
 	$(RM) "$@/README.matlab.md" \
 	      "$@/HOWTO-release.md" \
-	      "$@/README.bundled.md" \
 	      "$@/TODO.md" \
 	      "$@/.gitignore" \
 	      "$@/.travis.yml" \
@@ -101,7 +100,7 @@
 clean:
 	rm -rf "${BUILD_DIR}"
 	@#rm -f fntests.log
-	rm -f inst/octsympy_tests.log
+	rm -f octsympy_tests.log
 
 test:
 	@echo "Testing package in GNU Octave ..."
@@ -171,4 +170,4 @@
 	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"
 
 matlab_test:
-	cd "${MATLAB_PKG}"; ${MATLAB} -nojvm -nodisplay -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"
+	cd "${MATLAB_PKG}"; ${MATLAB} -nodesktop -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"
