=== debian/changelog ===
octave-symbolic (2.7.1-2) unstable; urgency=medium

  [ Mike Miller ]
  * Use Python 3 by default
    - d/control: Adjust dependencies to python3-sympy.
    - d/p/python3.patch: New patch to set default Python interpreter.
  * Fix newly failing unit tests
    - d/p/linspace-drop-test.patch: New patch from upstream git.
    - d/p/pochhammer-test-tolerance.patch: New patch from upstream git.
    (Closes: #916961)

  [ Rafael Laboissiere ]
  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:58 -0200

octave-symbolic (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 09 Oct 2018 04:32:03 -0300
