=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Rafael Laboissiere <rafael@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-octave (>= 0.5.0),
-               python-sympy (>= 1.0)
-Standards-Version: 4.2.0
+               python3-sympy (>= 1.0)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
 Homepage: https://octave.sourceforge.io/symbolic/
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${octave:Depends},
-         python-sympy
+         python3-sympy
 Description: symbolic package for Octave
  ${octave:Upstream-Description}
  .
