=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export DH_OCTAVE_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m
 
 %:
 	dh $@ --buildsystem=octave --with=octave
