=== debian/watch ===
version=4
http://sf.net/octave/symbolic-(.+)\.tar\.gz
