=== Makefile ===
--- 
+++ 
@@ -99,12 +99,11 @@
 
 clean:
 	rm -rf "${BUILD_DIR}"
-	@#rm -f fntests.log
-	rm -f octsympy_tests.log
+	rm -f fntests.log
 
 test:
 	@echo "Testing package in GNU Octave ..."
-	@$(OCTAVE) --no-gui --silent --path "${PWD}/inst" \
+	@$(OCTAVE) --no-gui --silent --path "${CURDIR}/inst" \
 		--eval "set (0, 'defaultfigurevisible', 'off'); \
 		 anyfail = octsympy_tests; \
 		 sympref reset; \
@@ -115,7 +114,7 @@
 	@# Workaround for OctSymPy issue 273, we must pre-initialize the package
 	@# Otherwise, it will make the doctests fail
 	@echo "Testing documentation strings ..."
-	@$(OCTAVE) --no-gui --silent --path "${PWD}/inst" \
+	@$(OCTAVE) --no-gui --silent --path "${CURDIR}/inst" \
 		--eval "pkg load doctest; \
 		 sym ('x'); \
 		 set (0, 'defaultfigurevisible', 'off'); \
@@ -163,11 +162,11 @@
 
 ## Matlab: extract and convert comments to Matlab style
 ml_convert_comments: ${MATLAB_PKG}/@sym ${MATLAB_PKG}/@symfun ${MATLAB_PKG}/@double ${MATLAB_PKG}/@logical
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '',         '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@symfun',  '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@sym',     '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@double',  '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '',         '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@symfun',  '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@sym',     '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@double',  '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"
 
 matlab_test:
 	cd "${MATLAB_PKG}"; ${MATLAB} -nodesktop -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"
