=== debian/changelog ===
octave-symbolic (2.8.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

  [ Sébastien Villemot ]
  * sympy-1.5.patch: new patch, fixes testsuite against SymPy 1.5
    (Closes: #948458)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 22 Feb 2020 09:51:57 +0100

octave-symbolic (2.8.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/copyright: Add AppStream file

  [ Sébastien Villemot ]
  * New upstream version 2.8.0
  * d/copyright: reflect upstream changes
  * Remove patches applied upstream
    + linspace-drop-test.patch
    + pochhammer-test-tolerance.patch
  * Bump S-V to 4.4.0
  * Drop version in python3-simpy B-D.
    The minimal requirement is satisfied by all Debian releases.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 17:12:10 +0200
