=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: octave-symbolic
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
+           Rafael Laboissière <rafael@debian.org>
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-octave (>= 0.5.0),
-               python3-sympy (>= 1.0)
-Standards-Version: 4.3.0
+               python3-sympy
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
 Homepage: https://octave.sourceforge.io/symbolic/
