## octave-symbolic 2.9.0

=== debian/changelog ===
octave-symbolic (2.9.0-3) unstable; urgency=medium

  * d/p/sympy-1.6.patch: Set Forwarded:not-needed
  * d/u/metadata: Update upstream URLs

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 09:31:24 -0300

octave-symbolic (2.9.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibility level to 13

  [ Sébastien Villemot ]
  * sympy-1.6.patch: new patch, fixes FTBFS against SymPy 1.6.
    A temporary (build-)dependency on python3-six has been added to make the
    patch work.
    Thanks to Georges Khaznadar (Closes: #963036)
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 19 Jun 2020 23:06:06 +0200

octave-symbolic (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Dropped patch (applied upstream):
    + d/p/python3.patch
    + d/p/sympy-1.5.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Mar 2020 03:40:22 -0300
