=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
            Rafael Laboissière <rafael@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                dh-octave (>= 0.5.0),
-               python3-sympy
+               python3-sympy,
+# The following should be removed once sympy-1.6.patch is removed
+               python3-six
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
@@ -18,7 +21,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${octave:Depends},
-         python3-sympy
+         python3-sympy,
+# The following should be removed once sympy-1.6.patch is removed
+         python3-six
 Description: symbolic package for Octave
  ${octave:Upstream-Description}
  .
