=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

execute_after_dh_auto_install:
	# Remove the extraneous Windows batch script
	rm -rf $$(find debian/octave-symbolic -name bin)
