## octave-symbolic 3.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 2.8.0
-Date: 2019-04-30
+Version: 3.0.1
+Date: 2022-08-09
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -11,6 +11,6 @@
  toolboxes is intended.
 Categories: symbolic
 Url: https://octave.sourceforge.io/symbolic
-Depends: octave (>= 4.2)
-SystemRequirements: python, sympy (>= 1.2)
-License: GPL-3.0+
+Depends: octave (>= 5.1)
+SystemRequirements: python, sympy (>= 1.4), mpmath (>= 1.0)
+License: GPL-3.0-or-later
