=== debian/changelog ===
octave-symbolic (3.0.1-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:10:38 -0300

octave-symbolic (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Aug 2022 09:33:36 -0300

octave-symbolic (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jul 2022 10:12:11 -0300

octave-symbolic (2.9.1~git.2022.06.09-1) unstable; urgency=medium

  * New upstream version 2.9.1~git.2022.06.09
    The upstream tarball was obtained directly from the upstream Git
    repository at GitHub. This fixes the FTBFS problem when building
    the package against SymPy 1.10 and Octave 7 (Closes: ##980707).
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/p/sympy-1.6.patch: Drop patch (applied upstream)
  * d/rules: Drop obsolete execute_after_dh_auto_install target
  * d/control:
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Set upstream metadata fields: Archive.
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Jun 2022 22:23:23 -0300
