=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
-               dh-octave (>= 0.5.0),
+               dh-sequence-octave,
                python3-sympy,
 # The following should be removed once sympy-1.6.patch is removed
                python3-six
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
 Homepage: https://octave.sourceforge.io/symbolic/
