=== debian/changelog ===
octave-symbolic (3.1.1-2) unstable; urgency=medium

  * Upload to unstable

  * d/control: Drop obsolete build-dependency on python3-six
  * d/u/metadata: Add Changelog and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 10:32:51 -0300

octave-symbolic (3.1.1-1) experimental; urgency=medium

  * New upstream version 3.1.1
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage

 -- Rafael Laboissière <rafael@debian.org>  Fri, 24 Mar 2023 04:12:32 -0300
