=== debian/control ===
--- 
+++ 
@@ -7,13 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
                dh-sequence-octave,
-               python3-sympy,
-# The following should be removed once sympy-1.6.patch is removed
-               python3-six
-Standards-Version: 4.6.1
+               python3-sympy
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
-Homepage: https://octave.sourceforge.io/symbolic/
+Homepage: https://gnu-octave.github.io/packages/symbolic/
 Testsuite: autopkgtest-pkg-octave
 Rules-Requires-Root: no
